Index: trunk/kernel_config.h
===================================================================
--- trunk/kernel_config.h	(revision 431)
+++ trunk/kernel_config.h	(revision 434)
@@ -32,34 +32,16 @@
 //                              KERNEL DEBUG
 //
-//  For all these debug variables: 
+//  Each debug variable control one kernel function, or one small group of functions. 
 //  - trace is generated only when cycle > debug_value.
 //  - detailed trace is enabled when (debug_value & Ox1) is non zero.
 ////////////////////////////////////////////////////////////////////////////////////////////
 
-#define CONFIG_CHDEV_DEBUG            0
-#define CONFIG_CLUSTER_DEBUG          0
-#define CONFIG_CONTEXT_DEBUG          0
-#define CONFIG_CORE_DEBUG             0
-#define CONFIG_DEVFS_DEBUG            0
-#define CONFIG_DMA_DEBUG              0
-#define CONFIG_DQDT_DEBUG             0
-#define CONFIG_ELF_DEBUG              0
-#define CONFIG_EXEC_DEBUG             0
-#define CONFIG_EXCP_DEBUG             0
 #define CONFIG_FATFS_DEBUG            0
 #define CONFIG_FBF_DEBUG              0
-#define CONFIG_FORK_DEBUG             0 
-#define CONFIG_GPT_DEBUG              0
 #define CONFIG_GRPC_DEBUG             0
-#define CONFIG_IDLE_DEBUG             0
 #define CONFIG_IOC_DEBUG              0
 #define CONFIG_IRQ_DEBUG              0
-#define CONFIG_KCM_DEBUG              0
-#define CONFIG_KENTRY_DEBUG           0
 #define CONFIG_KHM_DEBUG              0
-#define CONFIG_KILL_DEBUG             0 
-#define CONFIG_KINIT_DEBUG            0
 #define CONFIG_KMEM_DEBUG             0
-#define CONFIG_LOCKS_DEBUG            0
 #define CONFIG_MMAP_DEBUG             0         
 #define CONFIG_MMC_DEBUG              0
@@ -67,16 +49,89 @@
 #define CONFIG_NIC_DEBUG              0
 #define CONFIG_PIC_DEBUG              0
-#define CONFIG_PPM_DEBUG              0
-#define CONFIG_PROCESS_DEBUG          0
 #define CONFIG_READ_DEBUG             0
-#define CONFIG_RPC_DEBUG              0
-#define CONFIG_SCHED_DEBUG            0
-#define CONFIG_SIGACTION_DEBUG        0
-#define CONFIG_SYSCALL_DEBUG          0
-#define CONFIG_THREAD_DEBUG           0
-#define CONFIG_TXT_DEBUG              0
-#define CONFIG_VFS_DEBUG              0
-#define CONFIG_VMM_DEBUG              0
-#define CONFIG_WRITE_DEBUG            0
+
+
+#define CONFIG_DEBUG_CHDEV_REGISTER_COMMAND   3000000
+#define CONFIG_DEBUG_CHDEV_SEQUENCIAL_SERVER  3000000
+
+#define CONFIG_DEBUG_CLUSTER_INIT             0
+
+#define CONFIG_DEBUG_DEV_TXT                  3000000
+
+#define CONFIG_DEBUG_DEVFS_INIT               0
+#define CONFIG_DEBUG_DEVFS_MOVE               3000000
+
+#define CONFIG_DEBUG_GPT_ACCESS               0
+
+#define CONFIG_DEBUG_HAL_KENTRY               0
+#define CONFIG_DEBUG_HAL_TXT                  3000000
+#define CONFIG_DEBUG_HAL_EXCEPTIONS           0
+
+#define CONFIG_DEBUG_KCM_ALLOC                0
+
+#define CONFIG_DEBUG_KERNEL_INIT              0
+#define CONFIG_DEBUG_KMEM_ALLOC               0
+
+#define CONFIG_DEBUG_LOCKS                    0
+
+#define CONFIG_DEBUG_PPM_ALLOC_PAGES          0
+#define CONFIG_DEBUG_PPM_FREE_PAGES           0
+
+#define CONFIG_DEBUG_PROCESS_COPY_INIT        0
+#define CONFIG_DEBUG_PROCESS_DESTROY          0
+#define CONFIG_DEBUG_PROCESS_INIT_CREATE      0
+#define CONFIG_DEBUG_PROCESS_MAKE_EXEC        0
+#define CONFIG_DEBUG_PROCESS_MAKE_FORK        0
+#define CONFIG_DEBUG_PROCESS_MAKE_KILL        0
+#define CONFIG_DEBUG_PROCESS_REFERENCE_INIT   0
+#define CONFIG_DEBUG_PROCESS_SIGACTION        0
+#define CONFIG_DEBUG_PROCESS_ATTACH           0
+#define CONFIG_DEBUG_PROCESS_DETACH           0
+#define CONFIG_DEBUG_PROCESS_ZERO_CREATE      0
+
+#define CONFIG_DEBUG_RPC_MARSHALING           0
+#define CONFIG_DEBUG_RPC_GENERIC              0
+
+#define CONFIG_DEBUG_SCHED_HANDLE_SIGNALS     0      
+#define CONFIG_DEBUG_SCHED_YIELD              5000001
+
+#define CONFIG_DEBUG_SYSCALLS_ERROR           0
+
+#define CONFIG_DEBUG_SYS_DISPLAY              0
+#define CONFIG_DEBUG_SYS_EXEC                 3000000
+#define CONFIG_DEBUG_SYS_EXIT                 3000000
+#define CONFIG_DEBUG_SYS_FORK                 3000000
+#define CONFIG_DEBUG_SYS_KILL                 3000000
+#define CONFIG_DEBUG_SYS_READ                 3000000
+#define CONFIG_DEBUG_SYS_WAIT                 3000000
+#define CONFIG_DEBUG_SYS_WRITE                3000000
+
+#define CONFIG_DEBUG_THREAD_DESTROY           0
+#define CONFIG_DEBUG_THREAD_IDLE              0
+#define CONFIG_DEBUG_THREAD_KERNEL_CREATE     0
+#define CONFIG_DEBUG_THREAD_KILL              0
+#define CONFIG_DEBUG_THREAD_USER_CREATE       0
+#define CONFIG_DEBUG_THREAD_USER_FORK         0
+#define CONFIG_DEBUG_THREAD_BLOCK             0
+
+#define CONFIG_DEBUG_VFS_INODE_CREATE         0
+#define CONFIG_DEBUG_VFS_INODE_LOAD           0
+#define CONFIG_DEBUG_VFS_DENTRY_CREATE        0
+#define CONFIG_DEBUG_VFS_OPEN                 0
+#define CONFIG_DEBUG_VFS_LOOKUP               0
+#define CONFIG_DEBUG_VFS_ADD_CHILD            0
+#define CONFIG_DEBUG_VFS_MAPPER_MOVE          0
+#define CONFIG_DEBUG_VFS_MAPPER_LOAD          0
+
+#define CONFIG_DEBUG_VMM_CREATE_VSEG          0
+#define CONFIG_DEBUG_VMM_DESTROY              0
+#define CONFIG_DEBUG_VMM_FORK_COPY            0
+#define CONFIG_DEBUG_VMM_GET_ONE_PPN          0
+#define CONFIG_DEBUG_VMM_GET_PTE              0
+#define CONFIG_DEBUG_VMM_INIT                 0
+#define CONFIG_DEBUG_VMM_PAGE_ALLOCATE        0
+#define CONFIG_DEBUG_VMM_SET_COW              0
+#define CONFIG_DEBUG_VMM_UNMAP_VSEG           0
+#define CONFIG_DEBUG_VMM_UPDATE_PTE           0
 
 ////////////////////////////////////////////////////////////////////////////////////////////
@@ -161,5 +216,5 @@
 ////////////////////////////////////////////////////////////////////////////////////////////
 
-#define CONFIG_SCHED_TICK_MS_PERIOD         5000    // number of milliseconds per period
+#define CONFIG_SCHED_TICK_MS_PERIOD         10000   // number of milliseconds per period
 #define CONFIG_SCHED_TICKS_PER_QUANTUM      1       // number of ticks between scheduling
 #define CONFIG_SCHED_MAX_THREADS_NR         32      // max number of threads per core
